const express = require("express");
const engine = require("ejs-mate");
const dotenv = require("dotenv");
dotenv.config();

require("./bot/bot");

// import middleware
const attachGuilds = require("./server/middleware/attachGuilds");

// import routers
const homeRouter = require("./server/routes/home");
const guildRouter = require("./server/routes/guild");


const app = express();

app.engine("ejs", engine);
app.set("views", __dirname + "/client/views");
app.set("view engine", "ejs");

app.use("/static", express.static(__dirname + "/client/public"));
app.use("/static/preline.js", express.static(__dirname + "/../node_modules/preline/dist/preline.js"));

// register middleware
app.use(attachGuilds);

// register routers
app.use("/", homeRouter);
app.use("/guild", guildRouter);

const PORT = process.env.PORT || 3000;

app.listen(PORT, () => {
    console.log(`Server is listening on http://localhost:${PORT}`);
});
